<template>
  <v-card>
    <v-card-title>
      <span class="headline">Import JSON</span>
    </v-card-title>
    <v-card-text>
      <v-container>
        <v-file-input @change="setFile" label="File input"></v-file-input>
      </v-container>
    </v-card-text>
    <v-card-actions>
      <v-spacer></v-spacer>
      <v-btn tile depressed @click="closeDialogUpload()">Schließen</v-btn>
      <v-btn tile depressed color="primary" @click="importJson()">Importieren</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
  export default {
    name: "DownloadModal",
    data() {
      return {
        radios: "JSON",
        questions: null
      };
    },
    methods: {
      closeDialogUpload() {
        this.$emit("closeDialogUpload");
      },
      setFile(file) {
        file.arrayBuffer().then((buffer) => {
          let dec = new TextDecoder("utf-8");
          this.questions = JSON.parse(dec.decode(buffer)).question;
        });
      },
      importJson() {
        this.$store.dispatch('importFromJson', this.questions);
        this.closeDialogUpload();
      }
    }
  };
</script>

<style scoped></style>
